diff a/src/hotspot/cpu/arm/templateInterpreterGenerator_arm.cpp b/src/hotspot/cpu/arm/templateInterpreterGenerator_arm.cpp
--- a/src/hotspot/cpu/arm/templateInterpreterGenerator_arm.cpp
+++ b/src/hotspot/cpu/arm/templateInterpreterGenerator_arm.cpp
@@ -1560,10 +1560,19 @@
   generate_and_dispatch(t);
 }
 
 //------------------------------------------------------------------------------------------------------------------------
 
+void TemplateInterpreterGenerator::count_bytecode() {
+  __ inc_global_counter((address) &BytecodeCounter::_counter_value, 0, Rtemp, R2_tmp, true);
+}
+
+
+void TemplateInterpreterGenerator::histogram_bytecode(Template* t) {
+  __ inc_global_counter((address)&BytecodeHistogram::_counters[0], sizeof(BytecodeHistogram::_counters[0]) * t->bytecode(), Rtemp, R2_tmp, true);
+}
+
 // Non-product code
 #ifndef PRODUCT
 address TemplateInterpreterGenerator::generate_trace_code(TosState state) {
   address entry = __ pc();
 
@@ -1585,21 +1594,10 @@
   __ ret();
 
   return entry;
 }
 
-
-void TemplateInterpreterGenerator::count_bytecode() {
-  __ inc_global_counter((address) &BytecodeCounter::_counter_value, 0, Rtemp, R2_tmp, true);
-}
-
-
-void TemplateInterpreterGenerator::histogram_bytecode(Template* t) {
-  __ inc_global_counter((address)&BytecodeHistogram::_counters[0], sizeof(BytecodeHistogram::_counters[0]) * t->bytecode(), Rtemp, R2_tmp, true);
-}
-
-
 void TemplateInterpreterGenerator::histogram_bytecode_pair(Template* t) {
   const Register Rindex_addr = R2_tmp;
   Label Lcontinue;
   InlinedAddress Lcounters((address)BytecodePairHistogram::_counters);
   InlinedAddress Lindex((address)&BytecodePairHistogram::_index);
